# Microsoft ATP Safe Links Cleaner for Thunderbird

This Thunderbird extension cleans up the display of links rewritten by
Microsoft Advanced Threat Protection. Unlike many similar extensions
it does not change the links, but does ensure that they are displayed
in such a way that the original link is accessible.

* Links in plain text email are changed so the original link is
  displayed.

* A tooltip showing the original link is atted to all rewritten links.

* The context menu for rewritten links has a "copy original link item".

* When responding to a message, rewritten links are replaced by the
  original links.

## Known issues

* Since only the *display* is changed, links that have the URL as the
  link text will now have link text that differs from the link target.
  Thunderbird picks up on this when you click a link and asks if you
  want to visit the original link or the safe link. Due to the way the
  tooltip is constructed, visiting the original link will most likely
  fail. This is not by design and may change in the future.

* When composing a message the original links are restored. This
  process could potentially change text that isn't meant to be
  changed but looks almost like a valid safe link.
